Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sat 17 Aug 2019, 23:20
All times are UTC - 4
 Forum index » House Training » Users ( For the regulars )
Openoffices 2.2.0.sfs & 3.0.sfs - sbase needs JRE [SOLVED]
Moderators: Flash, Ian, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [11 Posts]  
Author Message
r__hughes

Joined: 13 Apr 2006
Posts: 357
Location: Montreal, Canada

PostPosted: Wed 03 Dec 2008, 21:53    Post subject:  Openoffices 2.2.0.sfs & 3.0.sfs - sbase needs JRE [SOLVED]
Subject description: - but what is the right JRE for pup411?
 

I am using openoffice-2.2.0.sfs & openoffice-3.0.sfs in /mnt/home of a frugal pup411 (2.6.25.16). - I have noticed this sbase (database) problem in both.

When I try to use the database program (sbase) I get an error message -
OpenOffice.org needs a run-time environment JRE in order to create a database. Is this some kind of OpenOffice plug-in or do I need some puppy411 installation?

What exactly do I need to get this working?

_________________
--- quad booting Slacko57NPAE, Slacko56NPAE, Slacko55PAE (with OO4, devx, Gimp) & WXP on DELL Dimension 2400 PC & DELL Latitude 630 Laptop using grub.
---USB-Flash booting same on Samsung N110 WXP Netbook and Lenovo q100 WXP netPC.

Last edited by r__hughes on Thu 04 Dec 2008, 21:25; edited 2 times in total
Back to top
View user's profile Send private message 
hillside


Joined: 02 Sep 2007
Posts: 642
Location: Minnesota, USA. The frozen north.

PostPosted: Wed 03 Dec 2008, 22:45    Post subject:  

I think ttuuxxx has a .pet here:
http://www.murga-linux.com/puppy/viewtopic.php?t=36316
Back to top
View user's profile Send private message 
r__hughes

Joined: 13 Apr 2006
Posts: 357
Location: Montreal, Canada

PostPosted: Thu 04 Dec 2008, 14:00    Post subject:  

I have now updated to OpenOffice-3.0.sfs and found the same JRE deficiency when trying to create a new database in sbase.

I downloaded ttuuxx's jre1.6.0_11.pet from your suggested link and it installed fine as demonstrated by the java test web page's 'dancing bean' on http://www.java.com/en/download/help/testvm.xml

But sadly I seem to have java enabled for Seamonkey only - OpenOffice's sbase still cannot find a JRE and there is no evidence of any other jre functionality in pup411 - no menu additions or anything else obvious - but /root/.packages/jre1.6.0_11.files looks good and I have a complete-looking usr/lib/jre1.6.0_11 folder

Maybe I need a symlink somewhere?

PS - I am renaming the topic to refer to OO-3 as well as OO-2

_________________
--- quad booting Slacko57NPAE, Slacko56NPAE, Slacko55PAE (with OO4, devx, Gimp) & WXP on DELL Dimension 2400 PC & DELL Latitude 630 Laptop using grub.
---USB-Flash booting same on Samsung N110 WXP Netbook and Lenovo q100 WXP netPC.
Back to top
View user's profile Send private message 
hillside


Joined: 02 Sep 2007
Posts: 642
Location: Minnesota, USA. The frozen north.

PostPosted: Thu 04 Dec 2008, 16:56    Post subject:  

Hmm. It's been a while since I installed mine, but I think OO automagically found it.

Try opening OO Writer (or any OO app)
Click Tools
Click Options
Click on the + in front of OpenOffice.org in the left pane.
Click on Java (second entry from last)
At the top of the new window is a box to click Use Java Runtime Environment.
Click it if not already done.

You should now see a list of JREs that are installed.

I'm hoping this does something for you because I'm quickly running out of ideas.
Back to top
View user's profile Send private message 
Béèm


Joined: 21 Nov 2006
Posts: 11775
Location: Brussels IBM Thinkpad R40, 256MB, 20GB, WiFi ipw2100. Frugal Lin'N'Win

PostPosted: Thu 04 Dec 2008, 17:11    Post subject:  

In order to have java available for other programs, I had to do:
Code:
Use of java with other programs

to set it up so you can run programs like Azureus
you have to add the path to the java binary in /etc/profile, and also add the java home variable, something like:
export JAVA_HOME=/usr/local/bin/jre1.6.0_02
PATH=$JAVA_HOME/bin:$PATH
in /etc/profile.local
If profile.local doesn't exist, create it.
_________________
Time savers:
Find packages in a snap and install using Puppy Package Manager (Menu).
Consult Wikka
Use peppyy's puppysearch
Back to top
View user's profile Send private message 
hillside


Joined: 02 Sep 2007
Posts: 642
Location: Minnesota, USA. The frozen north.

PostPosted: Thu 04 Dec 2008, 21:06    Post subject:  

I just set up a new pupsave to test this.

To get jre to work with OO, I had to use the Java Options under the Tool
menu in OO.

I had to click the Add button and use the ROX window to navigate to
/usr/lib/jre1.6.0_11 and click select. I didn't set the parameters or class
path.

I restarted the system and shazaam. I had jre in OO.
Back to top
View user's profile Send private message 
r__hughes

Joined: 13 Apr 2006
Posts: 357
Location: Montreal, Canada

PostPosted: Thu 04 Dec 2008, 21:22    Post subject:  

The thing that threw me was that jre1.6.0_11.pet installed its folder into /usr/lib/jre1.6.0_11 on my frugal pup411 Confused

In a terminal I typed: which java : no response
so I followed Beem's advise and edited /etc/profile to add these 2 lines after the first PATH statement
Code:
PATH="$PATH:/usr/lib/jre1.6.0_11/bin"
export JAVA_HOME=/usr/lib/jre1.6.0_11


I didn't need to make a profile.local entry.

Now everything is OK & I get this in the terminal ---

Code:
~# which java
/usr/lib/jre1.6.0_11/bin/java
~# echo $JAVA_HOME
/usr/lib/jre1.6.0_11
~#


and java is recognized automatically by OpenOffice in the Tools/options/openoffice/java menu AND the sbase design wizard works fine Very Happy

Thanks to everyone who responded Smile

_________________
--- quad booting Slacko57NPAE, Slacko56NPAE, Slacko55PAE (with OO4, devx, Gimp) & WXP on DELL Dimension 2400 PC & DELL Latitude 630 Laptop using grub.
---USB-Flash booting same on Samsung N110 WXP Netbook and Lenovo q100 WXP netPC.
Back to top
View user's profile Send private message 
Béèm


Joined: 21 Nov 2006
Posts: 11775
Location: Brussels IBM Thinkpad R40, 256MB, 20GB, WiFi ipw2100. Frugal Lin'N'Win

PostPosted: Fri 05 Dec 2008, 06:04    Post subject:  

Glad you got it working.
_________________
Time savers:
Find packages in a snap and install using Puppy Package Manager (Menu).
Consult Wikka
Use peppyy's puppysearch
Back to top
View user's profile Send private message 
hillside


Joined: 02 Sep 2007
Posts: 642
Location: Minnesota, USA. The frozen north.

PostPosted: Fri 05 Dec 2008, 10:30    Post subject:  

Ok, let's see if I understand what happened here. I'm not a linux expert
by any means and am trying to learn as I go.

What r_hughes did was to tell linux where jre was located.

What I did was tell Open Office where jre was located.

Both methods worked as far as getting OO to work, but I suspect
r_hughes' method will give an overall more satisfactory response. For
example, if another program is installed that requires jre, his system
will know where to look, whereas my system will have a problem.

Am I close to understanding this?
Back to top
View user's profile Send private message 
r__hughes

Joined: 13 Apr 2006
Posts: 357
Location: Montreal, Canada

PostPosted: Fri 05 Dec 2008, 10:41    Post subject:  

Addendum ------
I just tried to repeat my method (see above) on a pup301 frugal installation and it didn't work -- OO-3 didn't see the java.bin. Sad

I had to use hillside's method, using OO Tools/options/Openoffice/java menu then use the add JRE dialog browser to identify the full binary path.

Maybe there is a subtle difference between pups.

The good news is that using the combined info above I was able to get OO-3 sbase working in both pups 301 & 411.

Hillside's solution is perhaps the easiest solution for a purely Openoffice/java linkage solution in both pups

_________________
--- quad booting Slacko57NPAE, Slacko56NPAE, Slacko55PAE (with OO4, devx, Gimp) & WXP on DELL Dimension 2400 PC & DELL Latitude 630 Laptop using grub.
---USB-Flash booting same on Samsung N110 WXP Netbook and Lenovo q100 WXP netPC.
Back to top
View user's profile Send private message 
trapster


Joined: 28 Nov 2005
Posts: 2119
Location: Maine, USA

PostPosted: Fri 05 Dec 2008, 13:06    Post subject:  

Try symlinking the /usr/lib/JRE***/bin/java to /usr/local/bin/java or /usr/bin/java
_________________
trapster
Maine, USA

Asus eeepc 1005HA PU1X-BK
Frugal install: Slacko
Currently using full install: DebianDog
Back to top
View user's profile Send private message Visit poster's website 
Display posts from previous:   Sort by:   
Page 1 of 1 [11 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » House Training » Users ( For the regulars )
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0458s ][ Queries: 11 (0.0085s) ][ GZIP on ]